﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Microsoft.Win32;
using System.Threading;

namespace DxWatcher
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            SystemEvents.PowerModeChanged += new PowerModeChangedEventHandler(SystemEvents_PowerModeChanged);
            Application.Run(new MainForm());
            SystemEvents.PowerModeChanged -= new PowerModeChangedEventHandler(SystemEvents_PowerModeChanged);
        }

        static void SystemEvents_PowerModeChanged(object sender, PowerModeChangedEventArgs e)
        {
            switch (e.Mode)
            {
                case PowerModes.Suspend:
                {
                    MainForm.inst.suspend = true; // stop socket thread, give some time to finish
                    break;
                }
                case PowerModes.Resume:
                    {
                        MainForm.inst.suspend = false;
                        MainForm.inst.bmCounter = 0;   // remove obsolete spots asap
                        MainForm.inst.liveCtr = 60; // 30 seconds
                        break;
                    }
            }
        }
    }
}
